/*
 * Copyright (C) 2019 Robert Bosch GmbH Copyright (C) 2019 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.
 */

import { ComponentFixture, TestBed, waitForAsync } from '@angular/core/testing';
import { MatCheckboxModule } from '@angular/material/checkbox';
import { MatOptionModule } from '@angular/material/core';
import { MAT_DIALOG_DATA, MatDialogRef } from '@angular/material/dialog';
import { MatFormFieldModule } from '@angular/material/form-field';
import { MatListModule } from '@angular/material/list';
import { MatSelectModule } from '@angular/material/select';
import { BCI_SHARED_INTL_PROVIDER, BciSharedModule, ModalWindowService } from '@bci-web-core/core';
import { UserService } from '../../../shared/user-service.service';
import { UserFilterService } from '../filter/user-filter.service';
import { ComplexFilterComponent } from './complex-filter.component';

describe('ComplexFilterComponent', () => {
  let component: ComplexFilterComponent;
  let fixture: ComponentFixture<ComplexFilterComponent>;

  beforeEach(
    waitForAsync(() => {
      TestBed.configureTestingModule({
        declarations: [ComplexFilterComponent],
        imports: [
          BciSharedModule,
          MatCheckboxModule,
          MatListModule,
          MatFormFieldModule,
          MatOptionModule,
          MatSelectModule,
        ],
        providers: [
          ModalWindowService,
          UserFilterService,
          UserService,
          { provide: MAT_DIALOG_DATA, useValue: {} },
          {
            provide: MatDialogRef,
            useValue: {
              // eslint-disable-next-line no-empty-function
              close: () => {},
            },
          },
          BCI_SHARED_INTL_PROVIDER
        ],
      }).compileComponents();
    })
  );

  beforeEach(() => {
    fixture = TestBed.createComponent(ComplexFilterComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });
});
